- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# MRenderingInfo Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Information to perform rendering into a hardware render target.

MRenderingInfo is a class which holds information about rendering into hardware render targets.

Examples:

  D3DResourceManager.h, D3DViewportRenderer.cpp, D3DViewportRenderer.h, OpenGLViewportRenderer.cpp, and OpenGLViewportRenderer.h.

`#include <MRenderingInfo.h>`

List of all members.

## Public Member Functions
unsigned int | originX () const
| Origin (x) of region to render to in pixels.
unsigned int | originY () const
| Origin (y) of region to render to in pixels.
unsigned int | width () const
| Width of region to render in pixels.
unsigned int | height () const
| Height of region to render in pixels.
MViewportRenderer::RenderingAPI | renderingAPI () const
| Native target rendering API.
float | renderingVersion () const
| Native target rendering version.
const MDagPath & | cameraPath () const
| Current camera being used to render with.
const MRenderTarget & | renderTarget () const
| Current render target.
const MMatrix & | viewMatrix () const
| Current view matrix.
const MMatrix & | projectionMatrix () const
| Current projection matrix.
## Friends
class | MViewportRenderer Search for all occurrences
class | MHardwareRenderer Search for all occurrences

## Member Function Documentation

unsigned int originX | ( |  | ) | const

Search for all occurrences

Origin (x) of region to render to in pixels.

Return the x coordinate in pixels of the origin of the region to render.

Returns:
  X value.

unsigned int originY | ( |  | ) | const

Search for all occurrences

Origin (y) of region to render to in pixels.

Return the y coordinate in pixels of the origin of the region to render.

Returns:
  Y value.

unsigned int width | ( |  | ) | const

Search for all occurrences

Width of region to render in pixels.

Return the width in pixels of the region to render.

Returns:
  Width value.

unsigned int height | ( |  | ) | const

Search for all occurrences

Height of region to render in pixels.

Return the width in pixels of the region to render.

Returns:
  Height value.

MViewportRenderer::RenderingAPI renderingAPI | ( |  | ) | const

Search for all occurrences

Native target rendering API.

Return the native rendering API used for a render target.

See MViewportRender::RenderingAPI for a list of possible api values that can be returned.

Returns:
  Rendering API.

Examples:
  D3DViewportRenderer.cpp, and OpenGLViewportRenderer.cpp.

float renderingVersion | ( |  | ) | const

Search for all occurrences

Native target rendering version.

Return the native rendering API version used for a render target.

Returns:
  Rendering version.

const MDagPath & cameraPath | ( |  | ) | const

Search for all occurrences

Current camera being used to render with.

Return the dag path of the current camera being used for rendering.

Information about the camera itself can be extracted via MFnCamera.

Returns:
  Dag path to camera.

Examples:
  D3DViewportRenderer.cpp, and OpenGLViewportRenderer.cpp.

const MRenderTarget & renderTarget | ( |  | ) | const

Search for all occurrences

Current render target.

Return the current render target being used for rendering.

Returns:
  Reference to render target.

Examples:
  D3DViewportRenderer.cpp, and OpenGLViewportRenderer.cpp.

const MMatrix & viewMatrix | ( |  | ) | const

Search for all occurrences

Current view matrix.

Return the current view matrix being used for rendering.

Returns:
  View matrix.

Examples:
  D3DViewportRenderer.cpp.

const MMatrix & projectionMatrix | ( |  | ) | const

Search for all occurrences

Current projection matrix.

Return the current projection matrix being used for rendering.

The projection matrix will be appropriate regardless of whether the caller is rendering into an OpenGL context or a different context, as each drawing API interprets projection matrices differently.

Returns:
  Projection matrix.

Examples:
  D3DViewportRenderer.cpp.

MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo
MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo MRenderingInfo